# Visualization
TKV3d
StdPrs

# StdPrs_ToolShadedShape Class Reference

`#include <StdPrs_ToolShadedShape.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT Standard_Boolean | IsClosed (const TopoDS_Shape &aShape)
static Standard_EXPORT Handle_Poly_Triangulation | Triangulation (const TopoDS_Face &aFace, TopLoc_Location &loc)
static Standard_EXPORT void | Normal (const TopoDS_Face &aFace, Poly_Connect &PC, TColgp_Array1OfDir &Nor)

## Member Function Documentation

static Standard_EXPORT Standard_Boolean StdPrs_ToolShadedShape::IsClosed | ( | const TopoDS_Shape & | aShape | ) | `[static]`

static Standard_EXPORT void StdPrs_ToolShadedShape::Normal | ( | const TopoDS_Face & | aFace,
|  | Poly_Connect & | PC,
|  | TColgp_Array1OfDir & | Nor
| ) | `[static]`

void StdPrs_ToolShadedShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StdPrs_ToolShadedShape::operator new | ( | size_t | size | ) | `[inline]`

void* StdPrs_ToolShadedShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_Poly_Triangulation StdPrs_ToolShadedShape::Triangulation | ( | const TopoDS_Face & | aFace,
|  | TopLoc_Location & | loc
| ) | `[static]`

The documentation for this class was generated from the following file:

- StdPrs_ToolShadedShape.hxx